# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/cugraph/cugraph/conda/recipes/cugraph, last modified Thu Apr 11 01:12:42 2024
# ------------------------------------------------

package:
  name: cugraph
  version: 24.04.00
source:
  path: /__w/cugraph/cugraph
build:
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cugraph-linux64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_py310_240410_g8d8fb74c2_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_14
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hdade7a5_3
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.2.2 hbcca054_0
    - cmake 3.29.1 hcfe8598_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-64 11.4.0 h7aa1c59_5
    - gcc_linux-64 11.4.0 h0f0c6b6_3
    - gxx_impl_linux-64 11.4.0 h7aa1c59_5
    - gxx_linux-64 11.4.0 h2730b16_3
    - kernel-headers_linux-64 3.10.0 h4a8ded7_14
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libcurl 8.7.1 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libgcc-devel_linux-64 11.4.0 h922705a_105
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 11.4.0 h4dcbe23_5
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 11.4.0 h922705a_105
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libuv 1.48.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4.20240210 h59595ed_0
    - ninja 1.11.1 h924138e_0
    - nvcc_linux-64 11.8 h41dc85b_23
    - openssl 3.2.1 hd590300_1
    - rhash 1.4.4 hd590300_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_14
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - aws-c-auth 0.7.17 he0b1f16_2
    - aws-c-cal 0.6.11 heb1d5e4_0
    - aws-c-common 0.9.15 hd590300_0
    - aws-c-compression 0.2.18 hce8ee76_3
    - aws-c-event-stream 0.4.2 h01f5eca_8
    - aws-c-http 0.8.1 hdb68c23_10
    - aws-c-io 0.14.7 h76a7424_3
    - aws-c-mqtt 0.10.3 h50844eb_4
    - aws-c-s3 0.5.7 hb7bd14b_1
    - aws-c-sdkutils 0.1.15 hce8ee76_3
    - aws-checksums 0.1.18 hce8ee76_3
    - aws-crt-cpp 0.26.6 hf567797_4
    - aws-sdk-cpp 1.11.267 hbf3e495_6
    - bokeh 3.4.0 pyhd8ed1ab_0
    - brotli-python 1.1.0 py310hc6cd4ac_1
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.2.2 hbcca054_0
    - cachetools 5.3.3 pyhd8ed1ab_0
    - click 8.1.7 unix_pyh707e725_0
    - cloudpickle 3.0.0 pyhd8ed1ab_0
    - contourpy 1.2.1 py310hd41b1e2_0
    - cubinlinker 0.3.0 py310hfdf336d_1
    - cuda-profiler-api 11.8.86 0
    - cuda-python 11.8.3 py310h1b7760a_1
    - cuda-version 11.8 h70ddcb2_3
    - cudatoolkit 11.8.0 h4ba93d1_13
    - cudf 24.04.00 cuda11_py310_240410_g578c240a20_0
    - cupy 13.0.0 py310h189a05f_3
    - cupy-core 13.0.0 py310h506062a_3
    - cython 3.0.10 py310hc6cd4ac_0
    - cytoolz 0.12.3 py310h2372a71_0
    - dask 2024.1.1 pyhd8ed1ab_0
    - dask-core 2024.1.1 pyhd8ed1ab_0
    - dask-cuda 24.04.00 py310_240410_g7ed6735_0
    - dask-expr 0.4.0 pyhd8ed1ab_0
    - distributed 2024.1.1 pyhd8ed1ab_0
    - dlpack 0.8 h59595ed_3
    - exceptiongroup 1.2.0 pyhd8ed1ab_2
    - fastrlock 0.8.2 py310hc6cd4ac_2
    - fmt 10.2.1 h00ab1b0_0
    - freetype 2.12.1 h267a509_2
    - fsspec 2024.3.1 pyhca7485f_0
    - gflags 2.2.2 he1b5a44_1004
    - glog 0.7.0 hed5481d_0
    - gmock 1.14.0 ha770c72_1
    - gtest 1.14.0 h00ab1b0_1
    - icu 73.2 h59595ed_0
    - importlib-metadata 7.1.0 pyha770c72_0
    - importlib-resources 6.4.0 pyhd8ed1ab_0
    - importlib_metadata 7.1.0 hd8ed1ab_0
    - importlib_resources 6.4.0 pyhd8ed1ab_0
    - jinja2 3.1.3 pyhd8ed1ab_0
    - joblib 1.4.0 pyhd8ed1ab_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - lcms2 2.16 hb7c19ff_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - lerc 4.0.0 h27087fc_0
    - libabseil 20240116.1 cxx17_h59595ed_2
    - libarrow 14.0.2 he70291f_16_cpu
    - libarrow-acero 14.0.2 hac33072_16_cpu
    - libarrow-dataset 14.0.2 hac33072_16_cpu
    - libarrow-flight 14.0.2 hd42f311_16_cpu
    - libarrow-flight-sql 14.0.2 h9241762_16_cpu
    - libarrow-gandiva 14.0.2 hd4ab825_16_cpu
    - libarrow-substrait 14.0.2 h9241762_16_cpu
    - libblas 3.9.0 22_linux64_openblas
    - libbrotlicommon 1.1.0 hd590300_1
    - libbrotlidec 1.1.0 hd590300_1
    - libbrotlienc 1.1.0 hd590300_1
    - libcblas 3.9.0 22_linux64_openblas
    - libcrc32c 1.1.2 h9c3ff4c_0
    - libcublas 11.11.3.6 0
    - libcublas-dev 11.11.3.6 0
    - libcudf 24.04.00 cuda11_240410_g578c240a20_0
    - libcufile 1.4.0.31 0
    - libcufile-dev 1.4.0.31 0
    - libcugraph 24.04.00 cuda11_240410_g8d8fb74c2_0
    - libcugraphops 24.04.00 cuda11_240410_g021aa305_0
    - libcurand 10.3.0.86 0
    - libcurand-dev 10.3.0.86 0
    - libcurl 8.7.1 hca28451_0
    - libcusolver 11.4.1.48 0
    - libcusolver-dev 11.4.1.48 0
    - libcusparse 11.7.5.86 0
    - libcusparse-dev 11.7.5.86 0
    - libdeflate 1.20 hd590300_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libevent 2.1.12 hf998b51_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_5
    - libgfortran-ng 13.2.0 h69a702a_5
    - libgfortran5 13.2.0 ha4646dd_5
    - libgomp 13.2.0 h807b86a_5
    - libgoogle-cloud 2.22.0 h9be4e54_1
    - libgoogle-cloud-storage 2.22.0 hc7a4891_1
    - libgrpc 1.62.1 h15f2491_0
    - libiconv 1.17 hd590300_2
    - libjpeg-turbo 3.0.0 hd590300_1
    - libkvikio 24.04.00 cuda11_240410_gfb767d7_0
    - liblapack 3.9.0 22_linux64_openblas
    - libllvm14 14.0.6 hcd5def8_4
    - libllvm15 15.0.7 hb3ce162_4
    - libnghttp2 1.58.0 h47da74e_1
    - libnl 3.9.0 hd590300_0
    - libnsl 2.0.1 hd590300_0
    - libopenblas 0.3.27 pthreads_h413a1c8_0
    - libparquet 14.0.2 h6a7eafb_16_cpu
    - libpng 1.6.43 h2797004_0
    - libprotobuf 4.25.3 h08a7969_0
    - libraft 24.04.00 cuda11_240410_gfa44bcc8_0
    - libraft-headers 24.04.00 cuda11_240410_gfa44bcc8_0
    - libraft-headers-only 24.04.00 cuda11_240410_gfa44bcc8_0
    - libre2-11 2023.09.01 h5a48ba9_2
    - librmm 24.04.00 cuda11_240410_g8f19c9c3_0
    - libsqlite 3.45.2 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libthrift 0.19.0 hb90f79a_1
    - libtiff 4.6.0 h1dd3fc0_3
    - libutf8proc 2.8.0 h166bdaf_0
    - libuuid 2.38.1 h0b41bf4_0
    - libwebp-base 1.3.2 hd590300_1
    - libxcb 1.15 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libxml2 2.12.6 h232c23b_1
    - libzlib 1.2.13 hd590300_5
    - llvmlite 0.42.0 py310h1b8f574_1
    - locket 1.0.0 pyhd8ed1ab_0
    - lz4 4.3.3 py310h350c4a5_0
    - lz4-c 1.9.4 hcb278e6_0
    - markdown-it-py 3.0.0 pyhd8ed1ab_0
    - markupsafe 2.1.5 py310h2372a71_0
    - mdurl 0.1.2 pyhd8ed1ab_0
    - msgpack-python 1.0.7 py310hd41b1e2_0
    - nccl 2.21.5.1 h6103f9b_0
    - ncurses 6.4.20240210 h59595ed_0
    - numba 0.59.1 py310h7dc5dd1_0
    - numpy 1.26.4 py310hb13e2d6_0
    - nvcomp 3.0.6 h56904bc_0
    - nvtx 0.2.10 py310h2372a71_0
    - openjpeg 2.5.2 h488ebb8_0
    - openssl 3.2.1 hd590300_1
    - orc 2.0.0 h17fec99_1
    - packaging 24.0 pyhd8ed1ab_0
    - pandas 2.2.1 py310hcc13569_0
    - partd 1.4.1 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pillow 10.3.0 py310hf73ecf8_0
    - pip 24.0 pyhd8ed1ab_0
    - protobuf 4.25.3 py310ha8c1f0e_0
    - psutil 5.9.8 py310h2372a71_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - ptxcompiler 0.8.1 py310h70a93da_2
    - pyarrow 14.0.2 py310hc7d9cee_16_cpu
    - pyarrow-hotfix 0.6 pyhd8ed1ab_0
    - pygments 2.17.2 pyhd8ed1ab_0
    - pylibraft 24.04.00 cuda11_py310_240410_gfa44bcc8_0
    - pynvml 11.4.1 pyhd8ed1ab_0
    - pyproject-metadata 0.7.1 pyhd8ed1ab_0
    - pysocks 1.7.1 pyha2e5f31_6
    - python 3.10.14 hd12c33a_0_cpython
    - python-dateutil 2.9.0 pyhd8ed1ab_0
    - python-tzdata 2024.1 pyhd8ed1ab_0
    - python_abi 3.10 4_cp310
    - pytz 2024.1 pyhd8ed1ab_0
    - pyyaml 6.0.1 py310h2372a71_1
    - raft-dask 24.04.00 cuda11_py310_240410_gfa44bcc8_0
    - rapids-dask-dependency 24.04.00 py_0
    - rdma-core 51.0 hd3aeb46_0
    - re2 2023.09.01 h7f4b329_2
    - readline 8.2 h8228510_1
    - rich 13.7.1 pyhd8ed1ab_0
    - rmm 24.04.00 cuda11_py310_240410_g8f19c9c3_0
    - s2n 1.4.9 h06160fa_0
    - scikit-build-core 0.8.2 pyh4af843d_0
    - setuptools 69.2.0 pyhd8ed1ab_0
    - six 1.16.0 pyh6c4a22f_0
    - snappy 1.2.0 hdb0a2a9_1
    - sortedcontainers 2.4.0 pyhd8ed1ab_0
    - spdlog 1.12.0 hd2e6256_2
    - tblib 3.0.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - toolz 0.12.1 pyhd8ed1ab_0
    - tornado 6.4 py310h2372a71_0
    - typing-extensions 4.11.0 hd8ed1ab_0
    - typing_extensions 4.11.0 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - ucx 1.15.0 ha691c75_8
    - ucx-proc 1.0.0 gpu
    - ucx-py 0.37.00 py310_240410_gcb8f84c_0
    - urllib3 2.2.1 pyhd8ed1ab_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xorg-libxau 1.0.11 hd590300_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xyzservices 2024.4.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - yaml 0.2.5 h7f98852_2
    - zict 3.0.0 pyhd8ed1ab_0
    - zipp 3.17.0 pyhd8ed1ab_0
    - zstd 1.5.5 hfc55251_0
  run:
    - __glibc >=2.17,<3.0.a0
    - aiohttp
    - cuda-python >=11.7.1,<12.0a0
    - cuda-version >=11,<12.0a0
    - cudatoolkit
    - cudf =24.04
    - cupy >=12.0.0
    - dask-cuda =24.04
    - dask-cudf =24.04
    - fsspec>=0.6.0
    - libcugraph =24.04.00
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - pylibcugraph =24.04.00
    - pylibraft =24.04
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - raft-dask =24.04
    - rapids-dask-dependency =24.04
    - requests
    - ucx-proc=*=gpu
    - ucx-py 0.37.*
about:
  dev_url: https://github.com/rapidsai/cugraph
  home: https://rapids.ai/
  license: Apache-2.0
  license_file: ../../../LICENSE
  summary: cuGraph library
extra:
  copy_test_source_files: true
  final: true
